> ## Documentation Index
> Fetch the complete documentation index at: https://docs.intermezzo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Worksite Tax Identifier



## OpenAPI

````yaml /api-reference/preview.json post /organizations/{organization_id}/worksites/{worksite_id}/tax-identifiers
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /organizations/{organization_id}/worksites/{worksite_id}/tax-identifiers:
    post:
      tags:
        - Core
        - Worksites
        - Tax Details
        - Worksites
        - Tax Details
      summary: Create Worksite Tax Identifier
      operationId: >-
        create_worksite_tax_identifier_organizations__organization_id__worksites__worksite_id__tax_identifiers_post
      parameters:
        - name: worksite_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: string
                format: uuid
            title: Worksite Id
        - name: organization_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: string
                format: uuid
            title: Organization Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TaxIdentifiersRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaxIdentifiersResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerToken: []
components:
  schemas:
    TaxIdentifiersRequest:
      properties:
        valid_from:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Valid From
        valid_to:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Valid To
        tax_data:
          anyOf:
            - oneOf:
                - $ref: '#/components/schemas/DETaxIdentifier'
                - $ref: '#/components/schemas/GBTaxIdentifier'
              discriminator:
                propertyName: country
                mapping:
                  DE:
                    $ref: '#/components/schemas/DETaxIdentifier'
                  GB:
                    $ref: '#/components/schemas/GBTaxIdentifier'
            - type: 'null'
          title: Tax Data
      additionalProperties: true
      type: object
      title: TaxIdentifiersRequest
    TaxIdentifiersResponse:
      properties:
        valid_from:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Valid From
        valid_to:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Valid To
        id:
          type: integer
          title: Id
        tax_data:
          anyOf:
            - oneOf:
                - $ref: '#/components/schemas/DETaxIdentifier'
                - $ref: '#/components/schemas/GBTaxIdentifier'
              discriminator:
                propertyName: country
                mapping:
                  DE:
                    $ref: '#/components/schemas/DETaxIdentifier'
                  GB:
                    $ref: '#/components/schemas/GBTaxIdentifier'
            - type: 'null'
          title: Tax Data
      additionalProperties: true
      type: object
      required:
        - id
      title: TaxIdentifiersResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DETaxIdentifier:
      properties:
        valid_from:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Valid From
        valid_to:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Valid To
        country:
          type: string
          const: DE
          title: Country
        tax_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Tax Number
          description: Steuernummer
        business_type:
          anyOf:
            - $ref: '#/components/schemas/DEBusinessType'
            - type: 'null'
        is_employee_flat_tax:
          type: boolean
          title: Is Employee Flat Tax
          default: false
        is_employee_mini_job_flat_tax:
          type: boolean
          title: Is Employee Mini Job Flat Tax
          default: false
        tax_filing_frequency:
          anyOf:
            - type: string
              enum:
                - monthly
                - quarterly
                - yearly
            - type: 'null'
          title: Tax Filing Frequency
      additionalProperties: true
      type: object
      required:
        - country
      title: DETaxIdentifier
    GBTaxIdentifier:
      properties:
        valid_from:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Valid From
        valid_to:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Valid To
        country:
          type: string
          const: GB
          title: Country
        business_type:
          $ref: '#/components/schemas/GBBusinessType'
        paye_reference_number:
          type: string
          pattern: ^\d{3}/[a-zA-Z0-9]{1,10}$
          title: Paye Reference Number
        accounts_office_reference:
          type: string
          pattern: ^\d{3}P[a-zA-Z](\d{8}|\d{7}X)$
          title: Accounts Office Reference
        corporation_tax_reference:
          anyOf:
            - type: string
              pattern: ^\d{10}$
            - type: 'null'
          title: Corporation Tax Reference
      additionalProperties: true
      type: object
      required:
        - country
        - business_type
        - paye_reference_number
        - accounts_office_reference
      title: GBTaxIdentifier
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    DEBusinessType:
      type: integer
      enum:
        - 170
        - 180
        - 210
        - 211
        - 220
        - 221
        - 222
        - 223
        - 230
        - 231
        - 232
        - 240
        - 241
        - 242
        - 250
        - 251
        - 260
        - 270
        - 280
        - 290
        - 310
        - 320
        - 321
        - 322
        - 323
        - 324
        - 350
        - 351
        - 355
        - 356
        - 360
        - 400
        - 450
        - 510
        - 590
        - 610
        - 611
        - 700
        - 790
        - 911
        - 912
        - 921
        - 991
        - 992
        - 999
      title: DEBusinessType
      description: German Business Types based on Federal Employment Agency (BA) codes
    GBBusinessType:
      type: string
      enum:
        - Sole Trader
        - Partnership
        - Limited Company
        - Public Limited Company
        - Limited Liability Partnership
        - Community Interest Company
      title: GBBusinessType
  securitySchemes:
    BearerToken:
      type: oauth2
      flows:
        password:
          scopes:
            read:all: Read all
            write:all: Write all
            read:health_check: Read health check
            write:health_check: Write health check
            read:wage_types: Read wage types
            write:wage_types: Write wage types
          tokenUrl: >-
            https://auth-preview.intermezzo.ai/authorize?audience=api-preview.intermezzo.ai

````